Yeni Pardus Yayinlandiginda güncel linux kernel kullanilsin.


(Bilal Özcan) #1

Merhaba Arkadaslar,

Sizden bir ricam olacak - Pardusun her yeni version yayininda lütfen en güncel linux kerneli kullanmaya dikkat edelim. Neden diye soraraniz bunun aciklamasi cok basit: 1.) Yeni bilgisayarlara yüklenen Pardus’un cogu zaman hardware driver eksikleri oluyor… bunu ardindan cogu zaman bir kernel update ile cözüyorum, bazen ise bu acik kurulumda bile sorun yaratabiliyor. En güncel Linux Kernellerde genelde herdaim bir driver calismasi/güncelemesi yapiliyor misal olarak Emmc-Flash belleklerini iceren bilgisayarlarda Pardus 17.3 kurulumda cok zorluk yaratiyor veya bir laptopumda touchpad’i calismiyor - ama ubuntu yu kurunca calisiyor

Buna dikkat edilirse cok sevinirim.

Tesekkürler
saygilar, sevgiler


(Ergün Bilsel) #2

Merhaba

Öncelikle ben sıradan bir kullanıcıyım. Bende 4.14 kullanılması taraftarıyım. Bu zamana kadar 4.14 den 4.17 kadar çeşitli kernelleri denedim pardus üzerinde (zor değil) . Hatta 4.17 diden memnun bile sayılırım. Arada bi kitleniyor ama …
Bu soru aslında çok güzel bir soru, ama buraya sorulacak bir soru diyil(benim kanaatim)… Çünkü soru içerisinde bir çok soruyu barındırıyor şöyle ki:

Debian neden 4.9 da bu kadar ısrarcı ? Neden en uzun süreli destek 4.9 üzerinden veriliyor ? Neden en fazla yamalar 4.9 çıkıyor ? Neden vmplayer en güzel 4.9 da çalışıyor ? Neden bu kadar güvenli sayılıyor ? AMD Radeon GPU’ların 4.9 a ilgisi neden fazla ? Debian testlerini neden 4.18 üzerine yoğunlaştırdı? Yeni kernel bu mimarilerin hepsini destekliyecekmi ?

  • amd64
  • arm64
  • armel
  • armhf
  • i386
  • mips
  • mips64el
  • mipsel
  • ppc64el
  • s390x
    Dahada önemlisi adamların test ortamı var mı ?

İşte bunlar benim bilmediğin ve cevabını aradığım sorular. O yüzden ben kendim yükseltiyorum çekirdeğimi. Çünkü ben kendi bilgisayarımdan sorumluyum 1-1 yani ama geliştiriciler tüm kullanıcılarından sorumlu. Bu yüzden ben adımlarımı daha cesur atabiliyorken onların daha temkinli atması ve biraz ağırdan almasını çok normal buluyorum. Ama sizide bu konuda destekliyorum 4.14 gelsin :smiley:


(Davuthan YAMAN) #3

Pardus debian tabanlı olduğundan debian tarafından stabil olan kernel sürümlerini destekliyor. Yanlışsam lütfen düzeltin. Linux kerneli yeni bir versiyon olarak çıktığında tüm linux dağıtımlarında çalışır. Buna engel olabilecek tek şey spesifik olarak inşa edilmiş kernel modülleri yeni kernel versiyonuna göre tekrar derlenmesi gerektiğinden çalışmayacaktır. Debian dağıtımı bir paketin stabil deposuna girmeden önce 3 farklı seviye kullanır. Bu seviyeler sid (stabil olmayan alfa ) sonraki veriyonda stabil olacak olanlar testing (beta ) ve şuan hali hazırda depolarda hazır olarak gördüklerinizde stabil paketlerdir.

Kernel versiyonları Major yani büyük numara versiyonlarından ziyade küçük versiyonları çok sık çıkar. Her yeni versiyon çıkışından sonra genelde dağıtımların kernel takımları yeni versiyonu build eder ve test etmeye başlar. Eğer dağıtım en son versiyon en iyi versiyondur politikası güdüyor ise örneğin archlinux gibi hızlı bir şekilde güncelleme ile herzaman en son versiyon kerneli kullanabilirsiniz. Ancak debian da politika farklıdır. Debian işletim sistemini kullanan sunucuların stabil olduğundan emin olunmayan bir kernel yüklenmesi sistemi kararsız hale getireceğinden bakım maaliyetlerini yukarı çekecektir. Debian her yeni versiyonunda derinlemesine analiz ettiği kernel versiyonlarını tercih eder. Bu nedenle kernel versiyonları güncelden uzaktır. Ancak bunun yanında oldukça kararlıdır. Ben şahsen kişisel bilgisayarımda archlinux kullanıyorum. Ancak sunucu tarafında kararlılığından emin olduğum debian tercih ediyorum. Biliyorum ki debian stabildir ve rastgele problem oluşturmayacaktır.

Bununla birlikte işin birde güvenlik tarafı var. Yeni kernellerin üzerinde çıkan güvenlik açıkları nedeni ile güvenlik yamaları çıkartılıyor yada hata düzeltmeleri. Bu yamamlarla bilinen stabil kernel güvenlik hataları giderilerek kararlılığı korunmuş oluyor.

AMD Radeon GPU la herzaman linux dünyasında can sıkıcı olmuşlardır. Ben sırf bu durum yüzünden r9 280 ekran kartımı satıp nvidia almıştım. AMD bu can sıkıcı durumdan haberdar ve duyduğuma göre linux kernel yazım ekibi ile yakın ilişki kurması nedeni ile standart kernel ile tüm özelliklerinin kullanabilecekmiş. Bu nedenle amd için muhtemelen gelen sürücü desteği 4.18 de gelmiş olarak görünüyor.

Son olarak bahsettiğin tüm platformlar debian tarafından destekleniyor. Buradaki tek fark kernelin bahsettiğin tüm platformlar için özel olarak inşa edilmesidir ki sonraki versiyonda muhtemelen bunlarda güncellenecektir.